"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const index = require("../draw/index.js");
const Canvas = require("./Canvas.js");
const ElementRegistry = require("./ElementRegistry.js");
const ElementFactory = require("./ElementFactory.js");
const EventBus = require("./EventBus.js");
const GraphicsFactory = require("./GraphicsFactory.js");
const CoreModule = {
  __depends__: [index.default],
  __init__: ["canvas"],
  canvas: ["type", Canvas.default],
  elementRegistry: ["type", ElementRegistry.default],
  elementFactory: ["type", ElementFactory.default],
  eventBus: ["type", EventBus.default],
  graphicsFactory: ["type", GraphicsFactory.default]
};
exports.default = CoreModule;
